Platform AI

sfp server API reference for Platform AI: 5 endpoints.

GET/sfp/api/platform-ai/status

Authorization

access-token
AuthorizationBearer <token>

In: header

Response Body

curl -X GET "https://example.com/sfp/api/platform-ai/status"
Empty
GET/sfp/api/platform-ai/entitlements

Authorization

access-token
AuthorizationBearer <token>

In: header

Response Body

curl -X GET "https://example.com/sfp/api/platform-ai/entitlements"
Empty
GET/sfp/api/platform-ai/operator/entitlements

Callable only by the flxbl console via the console→tenant channel (x-monitoring-token + console IP).

Authorization

access-token
AuthorizationBearer <token>

In: header

Response Body

curl -X GET "https://example.com/sfp/api/platform-ai/operator/entitlements"
Empty
PUT/sfp/api/platform-ai/entitlements/{product}

Callable only by the flxbl console via the console→tenant channel (x-monitoring-token + console IP). Tenant users, including Owners, cannot change entitlements.

Authorization

access-token
AuthorizationBearer <token>

In: header

Path Parameters

product*string

Response Body

curl -X PUT "https://example.com/sfp/api/platform-ai/entitlements/string"
Empty
PATCH/sfp/api/platform-ai/model

Authorization

access-token
AuthorizationBearer <token>

In: header

Response Body

curl -X PATCH "https://example.com/sfp/api/platform-ai/model"
Empty